import request from '@/utils/request'

// 查询校招培训模版列表
export function listSchoolplantmpl(query) {
  return request({
    url: '/newstaff/schoolplantmpl/list',
    method: 'get',
    params: query
  })
}

// 查询校招培训模版详细
export function getSchoolplantmpl(id) {
  return request({
    url: '/newstaff/schoolplantmpl/' + id,
    method: 'get'
  })
}

// 新增校招培训模版
export function addSchoolplantmpl(data) {
  return request({
    url: '/newstaff/schoolplantmpl',
    method: 'post',
    data: data
  })
}

// 修改校招培训模版
export function updateSchoolplantmpl(data) {
  return request({
    url: '/newstaff/schoolplantmpl',
    method: 'put',
    data: data
  })
}

// 删除校招培训模版
export function delSchoolplantmpl(id) {
  return request({
    url: '/newstaff/schoolplantmpl/' + id,
    method: 'delete'
  })
}

// 导出校招培训模版
export function exportSchoolplantmpl(query) {
  return request({
    url: '/newstaff/schoolplantmpl/export',
    method: 'get',
    params: query
  })
}